mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Policy.EvidenceBase System.Security.Policy.IBuiltInEvidence System.Runtime.InteropServices.ComVisible(true)

Permission requests include the minimum permissions the code requires to run, permissions the code can use if they are granted, but are not required, and permissions the code explicitly asks not to be granted.

Defines evidence that represents permission requests. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The .NET Framework security policy system uses the requested permissions along with a code assembly's to determine which permissions the code should be granted.

  Initializes a new instance of the class with the permission request of a code assembly.

  The minimum permissions the code requires to run.
  The permissions the code can use if they are granted, but that are not required.
  The permissions the code explicitly asks not to be granted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.PermissionRequestEvidence To be added

  Creates an equivalent copy of the current .

  An equivalent copy of the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.PermissionSet To be added: an object of type 'Security.PermissionSet' To be added

  Gets the permissions the code explicitly asks not to be granted.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.PermissionSet To be added: an object of type 'Security.PermissionSet' To be added

  Gets the permissions the code can use if they are granted, but are not required.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.PermissionSet To be added: an object of type 'Security.PermissionSet' To be added

  Gets the minimum permissions the code requires to run.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method is useful during debugging to get an easy-to-read representation of the .

  Gets a string representation of the state of the .

  A representation of the state of the .